Index: uspace/lib/graph/graph.c
===================================================================
--- uspace/lib/graph/graph.c	(revision 38d150e6238ab44c861f6486e46454e07caeb0f0)
+++ uspace/lib/graph/graph.c	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -86,5 +86,5 @@
 }
 
-int graph_register_visualizer(visualizer_t *vs)
+errno_t graph_register_visualizer(visualizer_t *vs)
 {
 	char node[LOC_NAME_MAXLEN + 1];
@@ -93,5 +93,5 @@
 	
 	category_id_t cat;
-	int rc = loc_category_get_id("visualizer", &cat, 0);
+	errno_t rc = loc_category_get_id("visualizer", &cat, 0);
 	if (rc != EOK)
 		return rc;
@@ -114,5 +114,5 @@
 }
 
-int graph_register_renderer(renderer_t *rnd)
+errno_t graph_register_renderer(renderer_t *rnd)
 {
 	char node[LOC_NAME_MAXLEN + 1];
@@ -121,5 +121,5 @@
 	
 	category_id_t cat;
-	int rc = loc_category_get_id("renderer", &cat, 0);
+	errno_t rc = loc_category_get_id("renderer", &cat, 0);
 	if (rc != EOK)
 		return rc;
@@ -178,8 +178,8 @@
 }
 
-int graph_unregister_visualizer(visualizer_t *vs)
+errno_t graph_unregister_visualizer(visualizer_t *vs)
 {
 	fibril_mutex_lock(&visualizer_list_mtx);
-	int rc = loc_service_unregister(vs->reg_svc_handle);
+	errno_t rc = loc_service_unregister(vs->reg_svc_handle);
 	list_remove(&vs->link);
 	fibril_mutex_unlock(&visualizer_list_mtx);
@@ -188,8 +188,8 @@
 }
 
-int graph_unregister_renderer(renderer_t *rnd)
+errno_t graph_unregister_renderer(renderer_t *rnd)
 {
 	fibril_mutex_lock(&renderer_list_mtx);
-	int rc = loc_service_unregister(rnd->reg_svc_handle);
+	errno_t rc = loc_service_unregister(rnd->reg_svc_handle);
 	list_remove(&rnd->link);
 	fibril_mutex_unlock(&renderer_list_mtx);
@@ -219,8 +219,8 @@
 }
 
-int graph_notify_mode_change(async_sess_t *sess, sysarg_t handle, sysarg_t mode_idx)
+errno_t graph_notify_mode_change(async_sess_t *sess, sysarg_t handle, sysarg_t mode_idx)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
-	int ret = async_req_2_0(exch, VISUALIZER_MODE_CHANGE, handle, mode_idx);
+	errno_t ret = async_req_2_0(exch, VISUALIZER_MODE_CHANGE, handle, mode_idx);
 	async_exchange_end(exch);
 	
@@ -228,8 +228,8 @@
 }
 
-int graph_notify_disconnect(async_sess_t *sess, sysarg_t handle)
+errno_t graph_notify_disconnect(async_sess_t *sess, sysarg_t handle)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
-	int ret = async_req_1_0(exch, VISUALIZER_DISCONNECT, handle);
+	errno_t ret = async_req_1_0(exch, VISUALIZER_DISCONNECT, handle);
 	async_exchange_end(exch);
 	
@@ -242,5 +242,5 @@
 {
 	vs->client_side_handle = IPC_GET_ARG1(*icall);
-	int rc = vs->ops.claim(vs);
+	errno_t rc = vs->ops.claim(vs);
 	async_answer_0(iid, rc);
 }
@@ -257,5 +257,5 @@
 	
 	/* Driver might also deallocate resources for the current mode. */
-	int rc = vs->ops.yield(vs);
+	errno_t rc = vs->ops.yield(vs);
 	
 	/* Now that the driver was given a chance to deallocate resources,
@@ -285,5 +285,5 @@
 		    list_get_instance(link, vslmode_list_element_t, link);
 		
-		int rc = async_data_read_finalize(callid, &mode_elem->mode, len);
+		errno_t rc = async_data_read_finalize(callid, &mode_elem->mode, len);
 		async_answer_0(iid, rc);
 	} else {
@@ -317,5 +317,5 @@
 	
 	if (mode_elem != NULL) {
-		int rc = async_data_read_finalize(callid, &mode_elem->mode, len);
+		errno_t rc = async_data_read_finalize(callid, &mode_elem->mode, len);
 		async_answer_0(iid, rc);
 	} else {
@@ -340,5 +340,5 @@
 	
 	if (vs->mode_set) {
-		int rc = async_data_read_finalize(callid, &vs->cur_mode, len);
+		errno_t rc = async_data_read_finalize(callid, &vs->cur_mode, len);
 		async_answer_0(iid, rc);
 	} else {
@@ -372,5 +372,5 @@
 	
 	if (mode_elem != NULL) {
-		int rc = async_data_read_finalize(callid, &mode_elem->mode, len);
+		errno_t rc = async_data_read_finalize(callid, &mode_elem->mode, len);
 		async_answer_0(iid, rc);
 	} else {
@@ -429,5 +429,5 @@
 	
 	void *new_cell_storage;
-	int rc = async_share_out_finalize(callid, &new_cell_storage);
+	errno_t rc = async_share_out_finalize(callid, &new_cell_storage);
 	if ((rc != EOK) || (new_cell_storage == AS_MAP_FAILED)) {
 		async_answer_0(iid, ENOMEM);
@@ -472,5 +472,5 @@
 	sysarg_t y_offset = (IPC_GET_ARG5(*icall) & 0x0000ffff);
 	
-	int rc = vs->ops.handle_damage(vs,
+	errno_t rc = vs->ops.handle_damage(vs,
 	    IPC_GET_ARG1(*icall), IPC_GET_ARG2(*icall),
 	    IPC_GET_ARG3(*icall), IPC_GET_ARG4(*icall),
@@ -481,5 +481,5 @@
 static void vs_suspend(visualizer_t *vs, ipc_callid_t iid, ipc_call_t *icall)
 {
-	int rc = vs->ops.suspend(vs);
+	errno_t rc = vs->ops.suspend(vs);
 	async_answer_0(iid, rc);
 }
@@ -487,5 +487,5 @@
 static void vs_wakeup(visualizer_t *vs, ipc_callid_t iid, ipc_call_t *icall)
 {
-	int rc = vs->ops.wakeup(vs);
+	errno_t rc = vs->ops.wakeup(vs);
 	async_answer_0(iid, rc);
 }
